package environment.event;

import java.util.EventObject;

/**
 * Event that is created by a Detektor if a vehicle was detected. Contains
 * the source object for this event.
 *
 * @author Andreas Metzger
 * @version 1.0
 */

public class DetektorEvent extends NamedEventObject {

	/** Constructor for event object.
	 * @param source The source object (usually the object the event originated from).
	 * @param name Readable name of the event source.
	 */
	public DetektorEvent(Object source, String name) {
		super(source, name);
	}
}
