package environment.rmi;

/**
 * This signals that an object with a specified name was
 * not recognized by the 
 * {@link environment.rmi.Verkehrsleitsystem}
 * object.
 *
 * @author Andreas Metzger
 * @version 1.0
 */

public class ObjectNotFoundException extends Exception {

	/** Constructs an Exception with the specified detail message.
	 *  @param s the detail message.
	 */

	public ObjectNotFoundException(String s) {
		super(s);
	}
}
